Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000872Core InformActionspublic2012-02-27 09:242014-05-07 07:33
Assigned Tograham 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000872: An actor implicitly taking something is reported even when happening out of sight.
DescriptionIf an actor does something out of the player's sight, the report of the action is suppressed - but a note of any attempt to implicitly take the object concerned is still printed. This seems inconsistent.
Minimal Source Text To Reproduce

The Farmhouse is a room. 

The Coop is a room.

Some eggs are an edible thing in the coop.
The fox is an animal in the coop.
Every turn when the fox can see the eggs: try the fox eating the eggs.

Test me with "actions on / wait / x fox".
Additional InformationTranscript:

An Interactive Fiction
Release 1 / Serial number 120227 / Inform 7 build 6G60 (I6/v6.32 lib 6/12N) SD


>test me

>[1] actions on
Actions listing on.

>[2] wait
Time passes.
[waiting - succeeded]

[the fox eating the eggs]
(The fox first taking the eggs)
[(1) the fox taking the eggs - silently]
[(1) the fox taking the eggs - silently - succeeded]

[the fox eating the eggs - succeeded]

>[3] x fox
You can't see any such thing.


The report of the main action ("The fox eats the eggs.") does not appear, but the bracketed note of the implicit take slips through. The take action itself is in fact silenced, but the note is printed before it begins. I was able to suppress this with the following rule:

Rule for implicitly taking something when the person asked is not the player:
if the player can see the person asked or the player can see the noun then continue the activity;
otherwise silently try the person asked taking the noun.

(not well tested!) - but is the default behaviour considered a bug?
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
graham (administrator)
2014-01-27 10:52

The "standard implicit taking rule" now checks for visibility first.

- Issue History
Date Modified Username Field Change
2012-02-27 09:24 shaydon New Issue
2012-02-27 10:38 EmacsUser Status new => confirmed
2014-01-27 10:52 graham Note Added: 0002393
2014-01-27 10:52 graham Status confirmed => resolved
2014-01-27 10:52 graham Resolution open => fixed
2014-01-27 10:52 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker